unable to update via terminal

New to Debian (Or Linux in general)? Ask your questions here!

unable to update via terminal

Postby froda » 2020-02-09 18:20

Hi guys,

Every time I run the command "sudo apt-get update" I get the following message:

N: Repository 'http://deb.debian.org/debian buster InRelease' changed its 'Version' value from '10.2' to '10.3'
E: Release file for http://deb.debian.org/debian/dists/bust ... /InRelease is not valid yet (invalid for another 6h 29min 42s). Updates for this repository will not be applied.

E: Release file for http://security.debian.org/debian-secur ... /InRelease is not valid yet (invalid for another 7h 59min 11s). Updates for this repository will not be applied

I have tried this for several months now and it's always the same. Does anyone know why? Do you need to change anything in sources.list?

Thanks | froda
froda
 
Posts: 12
Joined: 2019-09-10 16:24

Re: unable to update via terminal

Postby arochester » 2020-02-09 18:35

What does your sources list say?

As Root
Code: Select all
cat /etc/apt/sources.list


Copy and Paste the result here.

If you click on the blue links above they lead to GPG keys.
arochester
 
Posts: 1774
Joined: 2010-12-07 19:55

Re: unable to update via terminal

Postby Head_on_a_Stick » 2020-02-09 19:11

froda wrote:
Code: Select all
(invalid for another 6h 29min 42s)

Try
Code: Select all
timedatectl set-ntp on
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12777
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: unable to update via terminal

Postby sunrat » 2020-02-09 21:47

arochester wrote:What does your sources list say?

As Root
Code: Select all
cat /etc/apt/sources.list


Shouldn't need to be root for that. But yes, we need to see sources.list.

(invalid for another 6h 29min 42s)
10.3 was only released yesterday, maybe waiting would help. Although it doesn't explain why it hasn't been working for several months. :?: :|

That said, I did dist-upgrade last night which pulled in 50 packages including a new kernel, which is the 10.3 upgrade. That was about 10 hours ago.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3316
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: unable to update via terminal

Postby stevepusser » 2020-02-10 02:10

Somehow I think that HOAS has the right idea, and the OP's machine's time is incorrect.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12132
Joined: 2009-10-06 05:53

Re: unable to update via terminal

Postby froda » 2020-02-10 17:20

my sources.list looks like this:

#

# deb cdrom:[Debian GNU/Linux 10.1.0 _Buster_ - Official amd64 DVD Binary-1 20190908-01:09]/ buster contrib main

# deb cdrom:[Debian GNU/Linux 10.1.0 _Buster_ - Official amd64 DVD Binary-1 20190908-01:09]/ buster contrib main

deb http://deb.debian.org/debian/ buster main
deb-src http://deb.debian.org/debian/ buster main

deb http://security.debian.org/debian-security buster/updates main
deb-src http://security.debian.org/debian-security buster/updates main

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main
deb-src http://deb.debian.org/debian/ buster-updates main
froda
 
Posts: 12
Joined: 2019-09-10 16:24

Re: unable to update via terminal

Postby froda » 2020-02-10 17:35

today my attempt to update looks like this:

Hit:1 http://deb.debian.org/debian buster InRelease
Ign:2 http://linux.dropbox.com/debian buster InRelease
Ign:3 http://dl.google.com/linux/earth/deb stable InRelease
Get:4 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
Get:5 http://deb.debian.org/debian buster-updates InRelease [49.3 kB]
Get:6 http://linux.dropbox.com/debian buster Release [6,600 B]
Get:7 http://dl.google.com/linux/earth/deb stable Release [933 B]
Get:8 http://dl.google.com/linux/earth/deb stable Release.gpg [819 B]
Err:8 http://dl.google.com/linux/earth/deb stable Release.gpg
The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 78BD65473CB3BD13
Reading package lists... Done
E: Release file for http://security.debian.org/debian-secur ... /InRelease is not valid yet (invalid for another 6h 32min 1s). Updates for this repository will not be applied.
E: Release file for http://deb.debian.org/debian/dists/bust ... /InRelease is not valid yet (invalid for another 7h 22min 52s). Updates for this repository will not be applied.
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://dl.google.com/linux/earth/deb stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 78BD65473CB3BD13
froda
 
Posts: 12
Joined: 2019-09-10 16:24

Re: unable to update via terminal

Postby Head_on_a_Stick » 2020-02-10 17:52

Head_on_a_Stick wrote:Try
Code: Select all
timedatectl set-ntp on
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12777
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: unable to update via terminal

Postby froda » 2020-02-12 16:58

Hi Head_on_Stick

I'm not sure what you mean by that, but I think I got it right because I only get error messages for signatures could not be verified because the public key is not available for google earth. Do I need to enter that command before updating every time?

Thanks

froda
froda
 
Posts: 12
Joined: 2019-09-10 16:24

Re: unable to update via terminal

Postby Head_on_a_Stick » 2020-02-12 17:06

You have two errors now and yes, the second error is because of Google's key. The first error is because your system clock is wrong; read
Code: Select all
man timedatectl

to find out what my command does. You should always do that before running commands you do not understand.

And no, you shouldn't have to run it more than once.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12777
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: unable to update via terminal

Postby None1975 » 2020-02-13 12:19

OS: Debian 10.3 Buster / WM: xmonad
Debian Wiki | DontBreakDebian, My config files on github
User avatar
None1975
 
Posts: 1019
Joined: 2015-11-29 18:23
Location: Lithuania, Vilnius

Re: unable to update via terminal

Postby froda » 2020-02-13 17:28

thank you guys. my clock changed time zone but i was able to set it back.

froda
froda
 
Posts: 12
Joined: 2019-09-10 16:24


Return to Beginners Questions

Who is online

Users browsing this forum: alikzn101, username1100 and 11 guests

fashionable